{
  "appId": "com.loafle.overflow.scanner",
  "productName": "overFlow-NetworkScanner",
  "copyright": "Copyright © 2016 LOAFLE",
  "extraMetadata": {
    "name": "overflow-network-scanner"
  },
  "asar": false,
  "compression": "normal",
  "npmRebuild": false,
  "npmSkipBuildFromSource": false,
  "artifactName": "${productName}-${version}-${os}-${arch}.${ext}",
  "directories": {
    "buildResources": "./config/build/",
    "output": "./build/package"
  },
  "files": [
    "packages.json",
    {
      "filter": [
        "**/*",
        "!*.ts",
        "!*.scss",
        "!yarn.lock"
      ],
      "from": "./build/dist/",
      "to": "."
    },
    {
      "filter": [
        "**/*"
      ],
      "from": "config/build/${os}/icon/",
      "to": "./assets/image/icon/"
    }
  ],
  "extraResources": [
    {
      "from": "config/_database.sqlite",
      "to": "./bin/database.sqlite"
    }
  ],
  "linux": {
    "target": [
      {
        "target": "deb",
        "arch": [
          "ia32",
          "x64"
        ]
      }
    ],
    "category": "Network;Monitor;",
    "synopsis": "The network scanner from LOAFLE",
    "icon": "config/build/linux/icon/",
    "extraResources": [
      {
        "from": "config/build/${os}/bin/probe-${os}-${arch}",
        "to": "./bin/probe"
      }
    ],
    "desktop": {
      "StartupWMClass": "overflow-network-scanner"
    }
  },
  "deb": {
    "depends": [
      "libpcap0.8"
    ],
    "afterInstall": "config/build/linux/debian/after-install.tpl"
  },
  "mac": {
    "target": [
      "pkg"
    ],
    "category": "public.app-category.utilities",
    "minimumSystemVersion": "10.12.0",
    "icon": "config/build/mac/icon/overflow_1024.icns",
    "extraResources": [
      {
        "from": "config/build/${os}/bin/probe-${os}-${arch}",
        "to": "./bin/probe"
      }
    ]
  },
  "pkg": {
    "background": "config/build/mac/dmg/background.png",
    "icon": "config/build/mac/dmg/icon.icns",
    "iconSize": 120,
    "iconTextSize": 18,
    "contents": [
      {
        "x": 480,
        "y": 240,
        "type": "link",
        "path": "/Applications"
      },
      {
        "x": 130,
        "y": 240,
        "type": "file"
      }
    ]
  },
  "win": {
    "target": [
      {
        "target": "nsis",
        "arch": [
          "x64",
          "ia32"
        ]
      }
    ],
    "legalTrademarks": "overFlow",
    "publisherName": "LOAFLE",
    "icon": "config/build/windows/icon/overflow_256.ico",
    "extraResources": [
      {
        "from": "config/build/${os}/bin/probe-${os}-${arch}.exe",
        "to": "./bin/probe.exe"
      }
    ]
  },
  "nsis": {
    "oneClick": false,
    "perMachine": true,
    "allowToChangeInstallationDirectory": false,
    "installerIcon": "config/build/windows/icon/overflow_256.ico",
    "installerHeader": "installerHeader.bmp",
    "uninstallerIcon": "config/build/windows/icon/overflow_256.ico",
    "include": "config/build/windows/nsis/installer.nsh",
    "menuCategory": "overFlow"
  }
}